Package ru.bitel.bgbilling.modules.assist.common.bean

# Class AssistPaymentRecurring

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.assist.common.bean.AssistPaymentRecurring

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class AssistPaymentRecurring extends IdContractId
Настройки рекуррентных платежей юзеров.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistPaymentRecurring()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  `long`
  `getBillnumber()`
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `Date`
  `getDate()`
  `int`
  `getOrdernumber()`
  `BigDecimal`
  `getRecurringMaxAmount()`
  `Date`
  `getRecurringMaxDate()`
  `BigDecimal`
  `getRecurringMinAmount()`
  `int`
  `getRecurringPeriod()`
  `void`
  `setAmount(BigDecimal amount)`
  `void`
  `setBillnumber(long billnumber)`
  `void`
  `setContractComment(String contractComment)`
  `AssistPaymentRecurring`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate(Date date)`
  `AssistPaymentRecurring`
  `setId(int id)`
  Устанавливает id объекта
  `void`
  `setOrdernumber(int ordernumber)`
  `void`
  `setRecurringMaxAmount(BigDecimal recurringMaxAmount)`
  `void`
  `setRecurringMaxDate(Date recurringMaxDate)`
  `void`
  `setRecurringMinAmount(BigDecimal recurringMinAmount)`
  `void`
  `setRecurringPeriod(int recurringPeriod)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AssistPaymentRecurring

    public AssistPaymentRecurring()

- ## Method Details

  - ### setId

    public AssistPaymentRecurring setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setContractId

    public AssistPaymentRecurring setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getAmount

    public BigDecimal getAmount()

  - ### setAmount

    public void setAmount(BigDecimal amount)

  - ### getBillnumber

    public long getBillnumber()

  - ### setBillnumber

    public void setBillnumber(long billnumber)

  - ### getOrdernumber

    public int getOrdernumber()

  - ### setOrdernumber

    public void setOrdernumber(int ordernumber)

  - ### getRecurringMinAmount

    public BigDecimal getRecurringMinAmount()

  - ### setRecurringMinAmount

    public void setRecurringMinAmount(BigDecimal recurringMinAmount)

  - ### getRecurringMaxAmount

    public BigDecimal getRecurringMaxAmount()

  - ### setRecurringMaxAmount

    public void setRecurringMaxAmount(BigDecimal recurringMaxAmount)

  - ### getRecurringPeriod

    public int getRecurringPeriod()

  - ### setRecurringPeriod

    public void setRecurringPeriod(int recurringPeriod)

  - ### getRecurringMaxDate

    public Date getRecurringMaxDate()

  - ### setRecurringMaxDate

    public void setRecurringMaxDate(Date recurringMaxDate)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)